diff --git a/src/backend/snowball/libstemmer/stem_UTF_8_english.c b/src/backend/snowball/libstemmer/stem_UTF_8_english.c
index c5d4c2a445..ae206f654f 100644
--- a/src/backend/snowball/libstemmer/stem_UTF_8_english.c
+++ b/src/backend/snowball/libstemmer/stem_UTF_8_english.c
@@ -893,77 +867,76 @@ static int r_Step_5(struct SN_env * z) {
     return 1;
 }
 
-static int r_exception2(struct SN_env * z) {
+static int r_exception2(struct SN_env * z) { /* backwardmode */
     z->ket = z->c; /* [, line 158 */
-    if (z->c - 5 <= z->lb || (z->p[z->c - 1] != 100 && z->p[z->c - 1] != 103)) return 0;
-    if (!(find_among_b(z, a_9, 8))) return 0; /* substring, line 158 */
+    if (z->c - 5 <= z->lb || (z->p[z->c - 1] != 100 && z->p[z->c - 1] != 103)) return 0; /* substring, line 158 */
+    if (!(find_among_b(z, a_9, 8))) return 0;
     z->bra = z->c; /* ], line 158 */
     if (z->c > z->lb) return 0; /* atlimit, line 158 */
     return 1;
 }
 
-static int r_exception1(struct SN_env * z) {
+static int r_exception1(struct SN_env * z) { /* forwardmode */
     int among_var;
     z->bra = z->c; /* [, line 170 */
-    if (z->c + 2 >= z->l || z->p[z->c + 2] >> 5 != 3 || !((42750482 >> (z->p[z->c + 2] & 0x1f)) & 1)) return 0;
-    among_var = find_among(z, a_10, 18); /* substring, line 170 */
+    if (z->c + 2 >= z->l || z->p[z->c + 2] >> 5 != 3 || !((42750482 >> (z->p[z->c + 2] & 0x1f)) & 1)) return 0; /* substring, line 170 */
+    among_var = find_among(z, a_10, 18);
     if (!(among_var)) return 0;
     z->ket = z->c; /* ], line 170 */
     if (z->c < z->l) return 0; /* atlimit, line 170 */
-    switch(among_var) {
-        case 0: return 0;
+    switch (among_var) { /* among, line 170 */
         case 1:
-            {   int ret = slice_from_s(z, 3, s_37); /* <-, line 174 */
+            {   int ret = slice_from_s(z, 3, s_27); /* <-, line 174 */
                 if (ret < 0) return ret;
             }
             break;
         case 2:
-            {   int ret = slice_from_s(z, 3, s_38); /* <-, line 175 */
+            {   int ret = slice_from_s(z, 3, s_28); /* <-, line 175 */
                 if (ret < 0) return ret;
             }
             break;
         case 3:
-            {   int ret = slice_from_s(z, 3, s_39); /* <-, line 176 */
+            {   int ret = slice_from_s(z, 3, s_29); /* <-, line 176 */
                 if (ret < 0) return ret;
             }
             break;
         case 4:
-            {   int ret = slice_from_s(z, 3, s_40); /* <-, line 177 */
+            {   int ret = slice_from_s(z, 3, s_30); /* <-, line 177 */
                 if (ret < 0) return ret;
             }
             break;
         case 5:
-            {   int ret = slice_from_s(z, 3, s_41); /* <-, line 178 */
+            {   int ret = slice_from_s(z, 3, s_31); /* <-, line 178 */
                 if (ret < 0) return ret;
             }
             break;
         case 6:
-            {   int ret = slice_from_s(z, 3, s_42); /* <-, line 182 */
+            {   int ret = slice_from_s(z, 3, s_32); /* <-, line 182 */
                 if (ret < 0) return ret;
             }
             break;
         case 7:
-            {   int ret = slice_from_s(z, 5, s_43); /* <-, line 183 */
+            {   int ret = slice_from_s(z, 5, s_33); /* <-, line 183 */
                 if (ret < 0) return ret;
             }
             break;
         case 8:
-            {   int ret = slice_from_s(z, 4, s_44); /* <-, line 184 */
+            {   int ret = slice_from_s(z, 4, s_34); /* <-, line 184 */
                 if (ret < 0) return ret;
             }
             break;
         case 9:
-            {   int ret = slice_from_s(z, 5, s_45); /* <-, line 185 */
+            {   int ret = slice_from_s(z, 5, s_35); /* <-, line 185 */
                 if (ret < 0) return ret;
             }
             break;
         case 10:
-            {   int ret = slice_from_s(z, 4, s_46); /* <-, line 186 */
+            {   int ret = slice_from_s(z, 4, s_36); /* <-, line 186 */
                 if (ret < 0) return ret;
             }
             break;
         case 11:
-            {   int ret = slice_from_s(z, 5, s_47); /* <-, line 187 */
+            {   int ret = slice_from_s(z, 5, s_37); /* <-, line 187 */
                 if (ret < 0) return ret;
             }
             break;
@@ -971,14 +944,15 @@ static int r_exception1(struct SN_env * z) {
     return 1;
 }
 
-static int r_postlude(struct SN_env * z) {
+static int r_postlude(struct SN_env * z) { /* forwardmode */
     if (!(z->B[0])) return 0; /* Boolean test Y_found, line 203 */
     while(1) { /* repeat, line 203 */
         int c1 = z->c;
         while(1) { /* goto, line 203 */
             int c2 = z->c;
             z->bra = z->c; /* [, line 203 */
-            if (!(eq_s(z, 1, s_48))) goto lab1;
+            if (z->c == z->l || z->p[z->c] != 'Y') goto lab1; /* literal, line 203 */
+            z->c++;
             z->ket = z->c; /* ], line 203 */
             z->c = c2;
             break;
@@ -989,7 +963,7 @@ static int r_postlude(struct SN_env * z) {
                 z->c = ret; /* goto, line 203 */
             }
         }
-        {   int ret = slice_from_s(z, 1, s_49); /* <-, line 203 */
+        {   int ret = slice_from_s(z, 1, s_38); /* <-, line 203 */
             if (ret < 0) return ret;
         }
         continue;
@@ -1000,19 +974,19 @@ static int r_postlude(struct SN_env * z) {
     return 1;
 }
 
-extern int english_UTF_8_stem(struct SN_env * z) {
+extern int english_UTF_8_stem(struct SN_env * z) { /* forwardmode */
     {   int c1 = z->c; /* or, line 207 */
-        {   int ret = r_exception1(z);
-            if (ret == 0) goto lab1; /* call exception1, line 207 */
+        {   int ret = r_exception1(z); /* call exception1, line 207 */
+            if (ret == 0) goto lab1;
             if (ret < 0) return ret;
         }
         goto lab0;
     lab1:
         z->c = c1;
         {   int c2 = z->c; /* not, line 208 */
-            {   int ret = skip_utf8(z->p, z->c, 0, z->l, + 3);
+            {   int ret = skip_utf8(z->p, z->c, 0, z->l, + 3); /* hop, line 208 */
                 if (ret < 0) goto lab3;
-                z->c = ret; /* hop, line 208 */
+                z->c = ret;
             }
             goto lab2;
         lab3:
@@ -1021,98 +995,94 @@ extern int english_UTF_8_stem(struct SN_env * z) {
         goto lab0;
     lab2:
         z->c = c1;
-        {   int c3 = z->c; /* do, line 209 */
-            {   int ret = r_prelude(z);
-                if (ret == 0) goto lab4; /* call prelude, line 209 */
-                if (ret < 0) return ret;
-            }
-        lab4:
-            z->c = c3;
+        /* do, line 209 */
+        {   int ret = r_prelude(z); /* call prelude, line 209 */
+            if (ret == 0) goto lab4;
+            if (ret < 0) return ret;
         }
-        {   int c4 = z->c; /* do, line 210 */
-            {   int ret = r_mark_regions(z);
-                if (ret == 0) goto lab5; /* call mark_regions, line 210 */
-                if (ret < 0) return ret;
-            }
-        lab5:
-            z->c = c4;
+    lab4:
+        /* do, line 210 */
+        {   int ret = r_mark_regions(z); /* call mark_regions, line 210 */
+            if (ret == 0) goto lab5;
+            if (ret < 0) return ret;
         }
+    lab5:
         z->lb = z->c; z->c = z->l; /* backwards, line 211 */
 
-        {   int m5 = z->l - z->c; (void)m5; /* do, line 213 */
-            {   int ret = r_Step_1a(z);
-                if (ret == 0) goto lab6; /* call Step_1a, line 213 */
+        {   int m3 = z->l - z->c; (void)m3; /* do, line 213 */
+            {   int ret = r_Step_1a(z); /* call Step_1a, line 213 */
+                if (ret == 0) goto lab6;
                 if (ret < 0) return ret;
             }
         lab6:
-            z->c = z->l - m5;
+            z->c = z->l - m3;
         }
-        {   int m6 = z->l - z->c; (void)m6; /* or, line 215 */
-            {   int ret = r_exception2(z);
-                if (ret == 0) goto lab8; /* call exception2, line 215 */
+        {   int m4 = z->l - z->c; (void)m4; /* or, line 215 */
+            {   int ret = r_exception2(z); /* call exception2, line 215 */
+                if (ret == 0) goto lab8;
                 if (ret < 0) return ret;
             }
             goto lab7;
         lab8:
-            z->c = z->l - m6;
-            {   int m7 = z->l - z->c; (void)m7; /* do, line 217 */
-                {   int ret = r_Step_1b(z);
-                    if (ret == 0) goto lab9; /* call Step_1b, line 217 */
+            z->c = z->l - m4;
+            {   int m5 = z->l - z->c; (void)m5; /* do, line 217 */
+                {   int ret = r_Step_1b(z); /* call Step_1b, line 217 */
+                    if (ret == 0) goto lab9;
                     if (ret < 0) return ret;
                 }
             lab9:
-                z->c = z->l - m7;
+                z->c = z->l - m5;
             }
-            {   int m8 = z->l - z->c; (void)m8; /* do, line 218 */
-                {   int ret = r_Step_1c(z);
-                    if (ret == 0) goto lab10; /* call Step_1c, line 218 */
+            {   int m6 = z->l - z->c; (void)m6; /* do, line 218 */
+                {   int ret = r_Step_1c(z); /* call Step_1c, line 218 */
+                    if (ret == 0) goto lab10;
                     if (ret < 0) return ret;
                 }
             lab10:
-                z->c = z->l - m8;
+                z->c = z->l - m6;
             }
-            {   int m9 = z->l - z->c; (void)m9; /* do, line 220 */
-                {   int ret = r_Step_2(z);
-                    if (ret == 0) goto lab11; /* call Step_2, line 220 */
+            {   int m7 = z->l - z->c; (void)m7; /* do, line 220 */
+                {   int ret = r_Step_2(z); /* call Step_2, line 220 */
+                    if (ret == 0) goto lab11;
                     if (ret < 0) return ret;
                 }
             lab11:
-                z->c = z->l - m9;
+                z->c = z->l - m7;
             }
-            {   int m10 = z->l - z->c; (void)m10; /* do, line 221 */
-                {   int ret = r_Step_3(z);
-                    if (ret == 0) goto lab12; /* call Step_3, line 221 */
+            {   int m8 = z->l - z->c; (void)m8; /* do, line 221 */
+                {   int ret = r_Step_3(z); /* call Step_3, line 221 */
+                    if (ret == 0) goto lab12;
                     if (ret < 0) return ret;
                 }
             lab12:
-                z->c = z->l - m10;
+                z->c = z->l - m8;
             }
-            {   int m11 = z->l - z->c; (void)m11; /* do, line 222 */
-                {   int ret = r_Step_4(z);
-                    if (ret == 0) goto lab13; /* call Step_4, line 222 */
+            {   int m9 = z->l - z->c; (void)m9; /* do, line 222 */
+                {   int ret = r_Step_4(z); /* call Step_4, line 222 */
+                    if (ret == 0) goto lab13;
                     if (ret < 0) return ret;
                 }
             lab13:
-                z->c = z->l - m11;
+                z->c = z->l - m9;
             }
-            {   int m12 = z->l - z->c; (void)m12; /* do, line 224 */
-                {   int ret = r_Step_5(z);
-                    if (ret == 0) goto lab14; /* call Step_5, line 224 */
+            {   int m10 = z->l - z->c; (void)m10; /* do, line 224 */
+                {   int ret = r_Step_5(z); /* call Step_5, line 224 */
+                    if (ret == 0) goto lab14;
                     if (ret < 0) return ret;
                 }
             lab14:
-                z->c = z->l - m12;
+                z->c = z->l - m10;
             }
         }
     lab7:
         z->c = z->lb;
-        {   int c13 = z->c; /* do, line 227 */
-            {   int ret = r_postlude(z);
-                if (ret == 0) goto lab15; /* call postlude, line 227 */
+        {   int c11 = z->c; /* do, line 227 */
+            {   int ret = r_postlude(z); /* call postlude, line 227 */
+                if (ret == 0) goto lab15;
                 if (ret < 0) return ret;
             }
         lab15:
-            z->c = c13;
+            z->c = c11;
         }
     }
 lab0:
diff --git a/src/backend/snowball/libstemmer/stem_UTF_8_finnish.c b/src/backend/snowball/libstemmer/stem_UTF_8_finnish.c
index 55fba0a732..0cbb64d65b 100644
--- a/src/backend/snowball/libstemmer/stem_UTF_8_finnish.c
+++ b/src/backend/snowball/libstemmer/stem_UTF_8_finnish.c
@@ -1,5 +1,5 @@
-
-/* This file was generated automatically by the Snowball to ANSI C compiler */
+/* This file was generated automatically by the Snowball to ISO C compiler */
+/* http://snowballstem.org/ */
 
 #include "header.h"
 
@@ -183,7 +183,7 @@ static const struct among a_6[30] =
 /*  4 */ { 2, s_6_4, 0, -1, 0},
 /*  5 */ { 3, s_6_5, 4, -1, 0},
 /*  6 */ { 3, s_6_6, 4, -1, 0},
-/*  7 */ { 3, s_6_7, 4, 9, 0},
+/*  7 */ { 3, s_6_7, 4, 2, 0},
 /*  8 */ { 3, s_6_8, -1, -1, 0},
 /*  9 */ { 3, s_6_9, -1, -1, 0},
 /* 10 */ { 3, s_6_10, -1, -1, 0},
@@ -205,7 +205,7 @@ static const struct among a_6[30] =
 /* 26 */ { 3, s_6_26, 22, -1, 0},
 /* 27 */ { 4, s_6_27, 26, -1, 0},
 /* 28 */ { 4, s_6_28, 26, -1, 0},
-/* 29 */ { 4, s_6_29, 26, 9, 0}
+/* 29 */ { 4, s_6_29, 26, 2, 0}
 };
 
 static const symbol s_7_0[3] = { 'e', 'j', 'a' };
@@ -261,151 +261,134 @@ static const struct among a_9[2] =
 
 static const unsigned char g_AEI[] = { 17, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8 };
 
+static const unsigned char g_C[] = { 119, 223, 119, 1 };
+
 static const unsigned char g_V1[] = { 17, 65, 16, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 32 };
 
 static const unsigned char g_V2[] = { 17, 65, 16, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 32 };
 
 static const unsigned char g_particle_end[] = { 17, 97, 24, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 8, 0, 32 };
 
-static const symbol s_0[] = { 'k' };
-static const symbol s_1[] = { 'k', 's', 'e' };
-static const symbol s_2[] = { 'k', 's', 'i' };
-static const symbol s_3[] = { 'i' };
-static const symbol s_4[] = { 'a' };
-static const symbol s_5[] = { 'e' };
-static const symbol s_6[] = { 'i' };
-static const symbol s_7[] = { 'o' };
-static const symbol s_8[] = { 0xC3, 0xA4 };
-static const symbol s_9[] = { 0xC3, 0xB6 };
-static const symbol s_10[] = { 'i', 'e' };
-static const symbol s_11[] = { 'e' };
-static const symbol s_12[] = { 'p', 'o' };
-static const symbol s_13[] = { 't' };
-static const symbol s_14[] = { 'p', 'o' };
-static const symbol s_15[] = { 'j' };
-static const symbol s_16[] = { 'o' };
-static const symbol s_17[] = { 'u' };
-static const symbol s_18[] = { 'o' };
-static const symbol s_19[] = { 'j' };
+static const symbol s_0[] = { 'k', 's', 'e' };
+static const symbol s_1[] = { 'k', 's', 'i' };
+static const symbol s_2[] = { 0xC3, 0xA4 };
+static const symbol s_3[] = { 0xC3, 0xB6 };
+static const symbol s_4[] = { 'i', 'e' };
+static const symbol s_5[] = { 'p', 'o' };
+static const symbol s_6[] = { 'p', 'o' };
 
-static int r_mark_regions(struct SN_env * z) {
-    z->I[0] = z->l;
-    z->I[1] = z->l;
-    if (out_grouping_U(z, g_V1, 97, 246, 1) < 0) return 0; /* goto */ /* grouping V1, line 46 */
-    {    /* gopast */ /* non V1, line 46 */
-        int ret = in_grouping_U(z, g_V1, 97, 246, 1);
-        if (ret < 0) return 0;
-        z->c += ret;
-    }
-    z->I[0] = z->c; /* setmark p1, line 46 */
+static int r_mark_regions(struct SN_env * z) { /* forwardmode */
+    z->I[0] = z->l; /* $p1 = <integer expression>, line 44 */
+    z->I[1] = z->l; /* $p2 = <integer expression>, line 45 */
     if (out_grouping_U(z, g_V1, 97, 246, 1) < 0) return 0; /* goto */ /* grouping V1, line 47 */
     {    /* gopast */ /* non V1, line 47 */
         int ret = in_grouping_U(z, g_V1, 97, 246, 1);
         if (ret < 0) return 0;
         z->c += ret;
     }
-    z->I[1] = z->c; /* setmark p2, line 47 */
+    z->I[0] = z->c; /* setmark p1, line 47 */
+    if (out_grouping_U(z, g_V1, 97, 246, 1) < 0) return 0; /* goto */ /* grouping V1, line 48 */
+    {    /* gopast */ /* non V1, line 48 */
+        int ret = in_grouping_U(z, g_V1, 97, 246, 1);
+        if (ret < 0) return 0;
+        z->c += ret;
+    }
+    z->I[1] = z->c; /* setmark p2, line 48 */
     return 1;
 }
 
-static int r_R2(struct SN_env * z) {
-    if (!(z->I[1] <= z->c)) return 0;
+static int r_R2(struct SN_env * z) { /* backwardmode */
+    if (!(z->I[1] <= z->c)) return 0; /* $(<integer expression> <= <integer expression>), line 53 */
     return 1;
 }
 
-static int r_particle_etc(struct SN_env * z) {
+static int r_particle_etc(struct SN_env * z) { /* backwardmode */
     int among_var;
-    {   int mlimit; /* setlimit, line 55 */
-        int m1 = z->l - z->c; (void)m1;
+
+    {   int mlimit1; /* setlimit, line 56 */
         if (z->c < z->I[0]) return 0;
-        z->c = z->I[0]; /* tomark, line 55 */
-        mlimit = z->lb; z->lb = z->c;
-        z->c = z->l - m1;
-        z->ket = z->c; /* [, line 55 */
-        among_var = find_among_b(z, a_0, 10); /* substring, line 55 */
-        if (!(among_var)) { z->lb = mlimit; return 0; }
-        z->bra = z->c; /* ], line 55 */
-        z->lb = mlimit;
+        mlimit1 = z->lb; z->lb = z->I[0];
+        z->ket = z->c; /* [, line 56 */
+        among_var = find_among_b(z, a_0, 10); /* substring, line 56 */
+        if (!(among_var)) { z->lb = mlimit1; return 0; }
+        z->bra = z->c; /* ], line 56 */
+        z->lb = mlimit1;
     }
-    switch(among_var) {
-        case 0: return 0;
+    switch (among_var) { /* among, line 57 */
         case 1:
-            if (in_grouping_b_U(z, g_particle_end, 97, 246, 0)) return 0;
+            if (in_grouping_b_U(z, g_particle_end, 97, 246, 0)) return 0; /* grouping particle_end, line 63 */
             break;
         case 2:
-            {   int ret = r_R2(z);
-                if (ret == 0) return 0; /* call R2, line 64 */
-                if (ret < 0) return ret;
+            {   int ret = r_R2(z); /* call R2, line 65 */
+                if (ret <= 0) return ret;
             }
             break;
     }
-    {   int ret = slice_del(z); /* delete, line 66 */
+    {   int ret = slice_del(z); /* delete, line 67 */
         if (ret < 0) return ret;
     }
     return 1;
 }
 
-static int r_possessive(struct SN_env * z) {
+static int r_possessive(struct SN_env * z) { /* backwardmode */
     int among_var;
-    {   int mlimit; /* setlimit, line 69 */
-        int m1 = z->l - z->c; (void)m1;
+
+    {   int mlimit1; /* setlimit, line 70 */
         if (z->c < z->I[0]) return 0;
-        z->c = z->I[0]; /* tomark, line 69 */
-        mlimit = z->lb; z->lb = z->c;
-        z->c = z->l - m1;
-        z->ket = z->c; /* [, line 69 */
-        among_var = find_among_b(z, a_4, 9); /* substring, line 69 */
-        if (!(among_var)) { z->lb = mlimit; return 0; }
-        z->bra = z->c; /* ], line 69 */
-        z->lb = mlimit;
+        mlimit1 = z->lb; z->lb = z->I[0];
+        z->ket = z->c; /* [, line 70 */
+        among_var = find_among_b(z, a_4, 9); /* substring, line 70 */
+        if (!(among_var)) { z->lb = mlimit1; return 0; }
+        z->bra = z->c; /* ], line 70 */
+        z->lb = mlimit1;
     }
-    switch(among_var) {
-        case 0: return 0;
+    switch (among_var) { /* among, line 71 */
         case 1:
-            {   int m2 = z->l - z->c; (void)m2; /* not, line 72 */
-                if (!(eq_s_b(z, 1, s_0))) goto lab0;
+            {   int m2 = z->l - z->c; (void)m2; /* not, line 73 */
+                if (z->c <= z->lb || z->p[z->c - 1] != 'k') goto lab0; /* literal, line 73 */
+                z->c--;
                 return 0;
             lab0:
                 z->c = z->l - m2;
             }
-            {   int ret = slice_del(z); /* delete, line 72 */
+            {   int ret = slice_del(z); /* delete, line 73 */
                 if (ret < 0) return ret;
             }
             break;
         case 2:
-            {   int ret = slice_del(z); /* delete, line 74 */
+            {   int ret = slice_del(z); /* delete, line 75 */
                 if (ret < 0) return ret;
             }
-            z->ket = z->c; /* [, line 74 */
-            if (!(eq_s_b(z, 3, s_1))) return 0;
-            z->bra = z->c; /* ], line 74 */
-            {   int ret = slice_from_s(z, 3, s_2); /* <-, line 74 */
+            z->ket = z->c; /* [, line 75 */
+            if (!(eq_s_b(z, 3, s_0))) return 0; /* literal, line 75 */
+            z->bra = z->c; /* ], line 75 */
+            {   int ret = slice_from_s(z, 3, s_1); /* <-, line 75 */
                 if (ret < 0) return ret;
             }
             break;
         case 3:
-            {   int ret = slice_del(z); /* delete, line 78 */
+            {   int ret = slice_del(z); /* delete, line 79 */
                 if (ret < 0) return ret;
             }
             break;
         case 4:
-            if (z->c - 1 <= z->lb || z->p[z->c - 1] != 97) return 0;
-            if (!(find_among_b(z, a_1, 6))) return 0; /* among, line 81 */
-            {   int ret = slice_del(z); /* delete, line 81 */
+            if (z->c - 1 <= z->lb || z->p[z->c - 1] != 97) return 0; /* among, line 82 */
+            if (!(find_among_b(z, a_1, 6))) return 0;
+            {   int ret = slice_del(z); /* delete, line 82 */
                 if (ret < 0) return ret;
             }
             break;
         case 5:
-            if (z->c - 2 <= z->lb || z->p[z->c - 1] != 164) return 0;
-            if (!(find_among_b(z, a_2, 6))) return 0; /* among, line 83 */
-            {   int ret = slice_del(z); /* delete, line 84 */
+            if (z->c - 2 <= z->lb || z->p[z->c - 1] != 164) return 0; /* among, line 84 */
+            if (!(find_among_b(z, a_2, 6))) return 0;
+            {   int ret = slice_del(z); /* delete, line 85 */
                 if (ret < 0) return ret;
             }
             break;
         case 6:
-            if (z->c - 2 <= z->lb || z->p[z->c - 1] != 101) return 0;
-            if (!(find_among_b(z, a_3, 2))) return 0; /* among, line 86 */
-            {   int ret = slice_del(z); /* delete, line 86 */
+            if (z->c - 2 <= z->lb || z->p[z->c - 1] != 101) return 0; /* among, line 87 */
+            if (!(find_among_b(z, a_3, 2))) return 0;
+            {   int ret = slice_del(z); /* delete, line 87 */
                 if (ret < 0) return ret;
             }
             break;
